##  ‍🔔 中文布局
###  👨‍💻 作者推荐

[共创Q群](https://qm.qq.com/q/CAOKYTbOi6)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[作者QQ](https://qm.qq.com/q/IBOr8LO4o0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[推荐火眼PHPEMS](https://qm.qq.com/q/X9hUQ4H44k)

### 💁‍♀️ 工具描述
```
=============================
      为您提供中文布局工具，您可以使用中文控件、属性、属性值编写布局代码。此外它还支持中英文混编布局和代码互转。
=============================
```
### 💁‍♀️ 调用方法
```
=============================
示例：导入依赖 "Gflower.CHI"
local 英文布局 = 
{
  LinearLayout,
  layout_height = match,
  layout_width = fill,
  orientation = vertical,
  background = #ffffffff,
  {
    CardView,
    cardBackgroundColor = #ffcccccc,
    layout_height = wrap,
    layout_width = fill,
      {
      TextView,
      layout_weight = 1,
      layout_height = 4%h,
      text = 滑动视图示例,
      textColor = #ff444444,
    },
  },
}

复制文本(英文布局转中文(英文布局))
=============================
```
### 💁‍♀️ 布局转换
```
=============================
示例：英文布局转中文("Layout/layout")
示例：中文布局转英文("Layout/layout")
=============================
说明：若在main目录直接填文件名，子目录则填："子目录名称/文件名"，无需填写后缀。
=============================
```
### 💁‍♀️ 布局表
```
=============================
布局_协调 = CoordinatorLayout
布局_约束 = ConstraintLayout
布局_相对 = RelativeLayout
布局_绝对 = AbsoluteLayout
布局_线性 = LinearLayout
布局_抽屉 = DrawerLayout
布局_瀑布 = RecyclerView
布局_表格 = TableLayout
布局_叠帧 = FrameLayout
布局_网格 = GridLayout
布局_分页 = ViewPager
布局_标签 = TabLayout
=============================
```
### 💁‍♀️ 控件表
```
=============================
控件_时间选择器 = TimePicker
控件_日期选择器 = DatePicker
=============================
```
```
=============================
控件_折叠工具 = CollapsingToolbarLayout
控件_悬浮按钮 = FloatingActionButton
控件_下拉刷新 = SwipeRefreshLayout
控件_质感卡片 = MaterialCardView
控件_导航视图 = NavigationView
控件_质感按钮 = MaterialButton
控件_滑动开关 = SwitchCompat
控件_单选按钮 = RadioButton
控件_气泡提示 = Snackbar
=============================
```
```
=============================
控件_进度条 = ProgressBar
控件_搜索框 = SearchView
控件_评星板 = RatingBar
控件_输入框 = EditText
控件_复选框 = CheckBox
控件_滑动条 = SeekBar
控件_下拉框 = Spinner
=============================
```
```
=============================
控件_横滑 = HorizontalScrollView
控件_圆图 = CircleImageView
控件_网页 = LuaWebView
控件_竖滑 = ScrollView
控件_视频 = VideoView
控件_方图 = ImageView
控件_文本 = TextView
控件_卡片 = CardView
控件_列表 = ListView
控件_按钮 = Button
控件_开关 = Switch
=============================
```
### 💁‍♀️ 属性表
```
=============================
属性_选中标签字色 = tabSelectedTextColor
属性_卡片背景颜色 = CardBackgroundColor
属性_调整视图边界 = adjustViewBounds
属性_卡片背景样式 = CardBackground
属性_提示文字颜色 = HintTextColor
属性_提示文本字色 = hintTextColor
属性_输入字符类型 = InputType
属性_输入文本类型 = inputType
=============================
```
```
=============================
属性_横向滚动条 = horizontalScrollBarEnabled
属性_竖向滚动条 = verticalScrollBarEnabled
属性_水平滚动条 = HorizontalScrollBarEnabled
属性_垂直滚动条 = VerticalScrollBarEnabled
属性_折叠标题色 = collapsedTitleTextColor
属性_扩展标题色 = expandedTitleTextColor
属性_卡片背景色 = cardBackgroundColor
属性_离屏页限制 = offscreenPageLimit
属性_窗口自适应 = fitsSystemWindows
属性_分割线高度 = DividerHeight
属性_下拉刷新色 = refreshColor
属性_分割线颜色 = dividerColor
属性_输入法选项 = imeOptions
属性_九宫格拉伸 = ninePatch
属性_矢量图色调 = tint
=============================
```
```
=============================
属性_约束基线 = layout_constraintBaseline_toBaselineOf
属性_约束比例 = layout_constraintDimensionRatio
属性_参照对齐 = layout_alignWithParentIfMissing
属性_父下对齐 = layout_alignParentBottom
属性_父右对齐 = layout_alignParentRight
属性_横向居中 = layout_centerHorizontal
属性_父首对齐 = layout_alignParentStart
属性_父左对齐 = layout_alignParentLeft
属性_竖向居中 = layout_centerVertical
属性_全向居中 = layout_centerInParent
属性_父尾对齐 = layout_alignParentEnd
属性_父上对齐 = layout_alignParentTop
属性_状态复制 = duplicateParentState
属性_基线对齐 = layout_alignBaseline
属性_向下对齐 = layout_alignBottom
属性_前景重力 = foregroundGravity
属性_启用脚本 = javascriptEnabled
属性_快速滑动 = fastScrollEnabled
属性_起始对齐 = layout_alignStart
属性_向右对齐 = layout_alignRight
属性_位于右边 = layout_toRightOf
属性_位于起始 = layout_toStartOf
属性_向左对齐 = layout_alignLeft
属性_位于左边 = layout_toLeftOf
属性_向上对齐 = layout_alignTop
属性_结束对齐 = layout_alignEnd
=============================
```
```
=============================
属性_背景颜色 = BackgroundColor
属性_卡片背景 = cardBackground
属性_位于结束 = layout_toEndOf
属性_滚动模式 = overScrollMode
属性_卡片层级 = CardElevation
属性_卡片阴影 = cardElevation
属性_折叠标题 = titleCollapse
属性_位于上方 = layout_above
属性_位于下方 = layout_below
属性_标签字色 = tabTextColor
属性_固定大小 = hasFixedSize
属性_填充视口 = fillViewport
属性_缩放控件 = zoomControls
属性_网格列数 = NumColumns
属性_折叠模式 = collapseMode
属性_文本阴影 = shadowColor
属性_排列方向 = Orientation
属性_边框颜色 = borderColor
属性_边框宽度 = borderWidth
属性_图片颜色 = ColorFilter
属性_背景样式 = Background
属性_单行显示 = SingleLine
属性_标签重力 = tabGravity
属性_是否可见 = Visibility
属性_滚动模式 = scrollMode
属性_视频路径 = videoPath
属性_图片缩放 = scaleType
属性_缩放类型 = ScaleType
=============================
```
```
=============================
属性_单行显示 = sigleLine
属性_文字样式 = TextStyle
属性_文本样式 = textStyle
属性_文字颜色 = TextColor
属性_文本颜色 = textColor
属性_文本字号 = textSize
属性_文字大小 = TextSize
属性_字体样式 = Typeface
=============================
```
```
=============================
属性_最大长度 = MaxLength
属性_最小长度 = MinLength
属性_最大高度 = MaxHeight
属性_最小高度 = MinHeight
属性_最小宽度 = MinWidth
属性_最大宽度 = MaxWidth
属性_最大行数 = MaxLines
属性_最小行数 = MinLines
属性_最大字数 = MaxEms
属性_最小字数 = MinEms
属性_上限长度 = maxLength
属性_下限长度 = minLength
属性_上限高度 = maxHeight
属性_下限高度 = minHeight
属性_上限宽度 = maxWidth
属性_下限宽度 = minWidth
属性_上限行数 = maxLines
属性_下限行数 = minLines
属性_上限字数 = maxEms
属性_下限字数 = minEms
=============================
```
```
=============================
属性_滑动行为 = behavior
属性_自动链接 = autoLink
属性_标签模式 = tabMode
属性_是否选中 = Checked
属性_选中状态 = checked
属性_圆角大小 = Radius
属性_列表项目 = Items
属性_提示文字 = Hint
属性_文本提示 = hint
属性_文本内容 = text
属性_文字内容 = Text
属性_图片路径 = src
=============================
```
```
=============================
属性_列权重 = layout_columnWeight
属性_下外距 = layout_marginBottom
属性_右外距 = layout_marginRight
属性_左外距 = layout_marginLeft
属性_行权重 = layout_rowWeight
属性_上外距 = layout_marginTop
属性_行间距 = lineSpacingExtra
属性_折叠列 = collapseColumns
属性_背景色 = backgroundColor
属性_拉伸列 = stretchColumns
属性_外重力 = layout_gravity
属性_父重力 = layout_Gravity
属性_下内距 = paddingBottom
属性_收缩列 = shrinkColumns
属性_插入列 = layout_column
属性_外边距 = layout_margin
属性_右内距 = paddingRight
属性_跨列数 = layout_span
属性_当前项 = currentItem
属性_左内距 = paddingLeft
属性_可见性 = visibility
属性_上内距 = paddingTop
属性_权重和 = weightSum
属性_内边距 = padding
属性_内重力 = gravity
属性_子重力 = Gravity
属性_透明度 = Alpha
=============================
```
```
=============================
属性_权重 = layout_weight
属性_高度 = layout_height
属性_宽度 = layout_width
属性_列数 = columnCount
属性_方向 = orientation
属性_背景 = background
属性_前景 = foreground
属性_单行 = singleLine
属性_层级 = Elevation
属性_阴影 = elevation
属性_星数 = numStars
属性_步长 = stepSize
=============================
```
### 💁‍♀️ 属性值表
```
=============================
同步过渡滚动 = overScrollIfContentScrolls
启用快速滚动 = fastScrollEnabled
始终过渡滚动 = overScrollAlways
从不过渡滚动 = overScrollNever
=============================
```
```
=============================
显示滚动条 = scrollbarsAlways
自动滚动条 = scrollbarsAuto
关闭滚动条 = scrollbarsNone
横向滚动条 = scrollbarsHorizontal
竖向滚动条 = scrollbarsVertical
父级下对齐 = alignParentBottom
父级右对齐 = alignParentRight
父级左对齐 = alignParentLeft
父级上对齐 = alignParentTop
=============================
```
```
=============================
预冲插值器 = anticipateOvershoot
线性插值器 = linear
加速插值器 = accelerate
减速插值器 = decelerate
预期插值器 = anticipate
过冲插值器 = overshoot
弹跳插值器 = bounce
循环插值器 = cycle
=============================
```
```
=============================
启用分页 = pagingEnabled
淡入淡出 = fade
滑动动画 = slide
爆炸动画 = explode
涟漪效果 = ripple
抬起状态 = state_lifted
允许拖动 = draggable
关闭滑动 = swipeDismiss
底部弹层 = bottomSheet
底部提示 = snackbar
=============================
```
```
=============================
底部|居中 = bottom|center
居中|底部 = center|bottom
居中|居右 = center|right
居右|居中 = right|center
居中|居左 = center|left
居左|居中 = left|center
顶部|居中 = top|center
居中|顶部 = center|top
=============================
```
```
=============================
横排居中 = center_horizontal
父级居中 = center_in_parent
匹配约束 = match_constraint
竖排居中 = center_vertical
基线对齐 = alignBaseline
铺满父级 = match_parent
收缩子级 = wrap_content
撑满父级 = fill_parent
重复次数 = repeatCount
重复模式 = repeatMode
可见密码 = textVisiblePassword
自动补全 = textAutoComplete
自动纠正 = textAutoCorrect
内部均分 = spread_inside
十进制数 = numberDecimal
符号数字 = numberSigned
居中适应 = centerInside
当前均分 = spread
百分布局 = percent
屏障约束 = barrier
链式布局 = chain
包裹内容 = wrap
居中裁剪 = centerCrop
居中适应 = fitCenter
日期时间 = datetime
起始适应 = fitStart
结束适应 = fitEnd
矩阵变换 = matrix
拉伸填充 = fitXY
=============================
```
```
=============================
可长按 = longClickable
参考线 = guideline
可聚焦 = focusable
可点击 = clickable
大写字 = textCapCharacters
大写句 = textCapSentences
大写词 = textCapWords
全大写 = allCaps
跑马灯 = marquee
右对齐 = toRightOf
左对齐 = toLeftOf
上对齐 = above
下对齐 = below
左至右 = ltr
右至左 = rtl
拉伸列 = stretchColumns
收缩列 = shrinkColumns
折叠列 = collapseColumns
权重和 = weightSum
九宫格 = ninePatch
=============================
```
```
=============================
斜|粗 = italic|bold
粗|斜 = bold|italic
默粗 = Typeface.DEFAULT_BOLD
粗斜 = Typeface.BOLD_ITALIC
无衬 = Typeface.SANS_SERIF
等宽 = Typeface.MONOSPACE
默认 = Typeface.DEFAULT
正常 = Typeface.NORMAL
斜体 = Typeface.ITALIC
有衬 = Typeface.SERIF
粗体 = Typeface.BOLD
=============================
```
```
=============================
横排 = horizontal
竖排 = vertical
空占 = invisible
显示 = visible
隐藏 = gone
未选 = unchecked
激活 = activated
选中 = selected
禁用 = disabled
选中 = checked
启用 = enabled
按下 = pressed
=============================
```
```
=============================
邮件 = textEmailAddress
密码 = password
链接 = textUri
数字 = number
电话 = phone
日期 = date
时间 = time
文本 = text
=============================
```
```
=============================
省略 = ellipsize
裁剪 = clip
铺满 = match
撑满 = fill
收缩 = wrap
底部 = bottom
居中 = center
起始 = start
居右 = right
居左 = left
顶部 = top
结束 = end
=============================
```
```
=============================
浮动 = floating
灰度 = grayscale
锐化 = sharpen
叠加 = overlay
透明 = alpha
色调 = tint
模糊 = blur
=============================
```
```
=============================
毫米 = mm
像素 = px
打印 = pt
英寸 = in
自动 = dp
缩放 = sp
=============================
```
```
=============================
%父 = %p
%宽 = %w
%高 = %h
=============================
```
```
=============================
斜 = italic
标 = normal
无 = none
粗 = bold
假 = false
真 = true
=============================
```

### 💁‍♀️ 核心团队
```
Fusionapp1.0至2.0：寒歌
FA1.x重制版|2.0官方团队核心成员：难忘的旋律
FA2.0官方团队核心成员：dingyi等
``` 
### 💁‍♀️ 作者声明
``` 
特别说明：
    工具作者创作之内容有部分引用官方团队的教程、示例代码，原创声明中的条目或条款均排除引用内容，示例和已标注作者及出处之部分，版权归原作者所有(包括佚名内容)
```
### 💁‍♀️ 问题反馈
```
抖音教程：今日头麻 | QQ反馈: 547430970
```
### 💁‍♀️ 交流推荐
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ FA3X维护和更新：20078299
```
## 
## 