##  ‍🔔 界面管理
###  👨‍💻 FA3X-作者推荐

[共创Q群](https://qm.qq.com/q/CAOKYTbOi6)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[作者QQ](https://qm.qq.com/q/IBOr8LO4o0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[推荐火眼PHPEMS](https://qm.qq.com/q/X9hUQ4H44k)

###  👨‍💻 工具介绍
```
=============================
       通过界面管理函数来对指定组件或控件进行相关操作，例如：设置标题点击事件、侧滑栏背景图、项目菜单等相关功能。
=============================
```
###  👨‍💻 使用示例
####  👨‍💻 界面显示模式
```    
=============================
示例：界面显示模式(0,0x00000000)
=============================
说明：新版本提供了13个显示模式，可省略和携带第二参数：状态栏背景色。
=============================
释义：
0.浏览器应用最佳显示模式
1.全屏显示覆盖应用设置的显示标题栏
2.全屏显示覆盖应用设置的显示应用栏
3.无进度条全屏显示覆盖应用设置的显示标题栏
4.无进度条全屏显示覆盖应用设置的显示应用栏
5.应用设置显示标题栏覆盖全屏
6.由应用设置决定的沉浸状态栏
7.顶部留白不显示状态栏
8.顶部留白显示状态栏
9.默认显示模式覆盖所有显示设置
10.默认覆盖应用设置的不显示底栏模式
11.含状态栏全屏最佳显示模式
12.维持应用设置界面的显示项目
=============================
```    
####  👨‍💻 资源库
```    
=============================
调用示例：
资源库()
local Rid资源库=资源库()
local R资源库=资源库()
local 资源库=资源库()
=============================
```    
```    
=============================
使用说明：
    资源库函数是R.id封装，当您需要访问应用内部资源时，需要导入R类，
    
    R类的原始调用是：R.id.xxx，
    xxx表示资源的唯一地址，当我们给应用添加任何资源时，应用会自动生成该资源的唯一id，该资源需要在R资源库中访问。因为通常调用R类时，紧跟其后的字段通常都是“.id”，因此这里做了简写封装，我们不需要写成“资源库().id”。
    
正确调用：
    资源库().xxx
    
错误调用：
    资源库().id.xxx    
    
正确调用：
    local R= 资源库()
    R.xxx
    
错误调用：
    local R= 资源库()
    R.id.xxx
    
    通过以上示例，我们可以很清楚地了解中文函数“资源库()”的使用。如果您希望使用原型R资源库。那么您可以通过以下代码进行调用：
    
  if activity.getPackageName()=="suv.fusionufo" then
    R=luajava.bindClass "suv.fusionufo.R$id"
   else
    R=luajava.bindClass "suv.fusionufo.core.R$id"
  end
  
    在上述原型代码中，通过当前包名判断是否处于开发环境，然后根据，当前环境调用R资源库，为什么要这样呢？因为您打包后的apk文件为了和本工具进行类的路径区分，避免结构相同而被安卓系统判定为近似应用，从而阻止您安装，所以它的安装文件模版的底包采用了将类路径向下追加一级，即：core。您可以类似理解为文件存放路径深一级。
例如：
    a.txt在甲手机的/sdcard/a.txt，
    a.txt在乙手机的/sdcard/core/a.txt
    
    a.txt是一本电子书小说，甲想看的时候需要从文件管理器点到sdcard目录，而乙则需要点到/sdcard/core/目录，二者都能看到同一本电子书，他们找这本书的方式一样，但找的位置有区别，找到的书所看到的内容没有任何的区别。
=============================
```    

####  👨‍💻 网络视图模式
```    
=============================
调用示例：
网络视图模式({1,2,3,4},{0,0,0,0})
--让多页面全部显示自定义布局视图，单独设置
网络视图模式({1,2,3,4},0)
--让多页面全部显示自定义布局视图，统一设置
网络视图模式({1,2,3,4},0)
--让多页面2/3/4页显示自定义布局，让页面1显示浏览网页
网络视图模式({1,2,3,4},{1,0,1,0})
--让多页面1/3显示网页内容，2/4显示自定义布局
=============================
特别注意：新版的索引1是第一页，2是第2页，以此类推。
=============================
功能描述：
    当我们需要结合默认的应用设置、自定义设置、默认界面视图、自定义界面视图复杂混合使用时，使用它能够合理分配每个页面是显示网页内容还是显示自定义布局，或者两者混合使用。合理的分配机制可以有效地避免各种冲突。
    例如：当我们在应用基础配置时设置了页面自动隐藏、彩色模式、页面滑动、进度条颜色、透明背景、自定义多页面浏览器等等。它会存在各种各样的冲突，原因就是视图层相互覆盖导致这些问题。
=============================
参数说明：
    该函数提供两个参数表或参数，当参数为表时，优先匹配表模式，当参数不为表时，作为独立对某个页码的设置。当第二个参数少于第一个参数时，使用循环匹配规则补全。
=============================
```    

###  💁‍♀️ 核心团队
```    
  Fusionapp1.0至2.0：寒歌
  FA1.x重制版|2.0官方团队核心成员：难忘的旋律
  FA2.0官方团队核心成员：dingyi等
``` 
###  💁‍♀️ 作者声明
``` 
特别说明：
       工具作者创作之内容有部分引用官方团队的教程、示例代码，原创声明中的条目或条款均排除引用内容，示例和已标注作者及出处之部分，版权归原作者所有(包括佚名内容)
```
###  💁‍♀️ 问题反馈
```
抖音教程：今日头麻 | QQ反馈: 547430970
```
###  💁‍♀️ 交流推荐
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ FA3X维护和更新：20078299
```
##   
##   