##  ‍🔔 路径获取
###  👨‍💻 作者推荐

[共创Q群](https://qm.qq.com/q/CAOKYTbOi6)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[作者QQ](https://qm.qq.com/q/IBOr8LO4o0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[推荐火眼PHPEMS](https://qm.qq.com/q/X9hUQ4H44k)

###  💁‍♀️ 工具描述
```
=============================
    想你所想，做你所需，一键导入，一键调用。
=============================
```
###  📝 路径函数调用说明手册

#### 一、执行路径
```

当前路径()  
  通过调试接口正则截取函数：
  debug.getInfo()
  在任意目录中获取当前目录路径，包含最后的“/”符号，连接后面的路径字段时无需在前面添加“/。

```
```

系统路径()

  FusionApp自带函数：
  activita.getLoader().getFusionDir()
  通过main.ufo执行入口运行，获取main目录的路径，连接后面的路径字段时需要添加“/”。
  该函数受限于执行入口，从其它页面执行会报错。

```
```

执行路径()

  LuaJava执行入口路径获取函数：
  activita.getLuaDir()
  通过main.ufo执行入口运行，获取main目录路径。
  该函数受限于执行入口，从其它页面执行不报错，但它会始终返回“main/app_fusion”目录名称。连接后面路径字段时需要在前面添加“/”。

```
```

当前执行路径()

    该函数和上述中的：
    执行路径()
    两者是同一个原函数，但它会返回第二个参数，告知我们路径获取是否成功，0表示获取成功。
    同样是返回当前Lua脚本执行入口main目录，末尾无斜杠。

```

#### 二、功能模块

`函数模块`
```    

函数目录路径()  -- 获取Function目录路径
函数列表路径()  -- 获取Function/_Index.ufo函数索引文件路径

```    

`依赖管理`
```    

依赖目录路径()  -- 获取Import目录路径
依赖列表路径()  -- 获取Import/_Index.ufo依赖索引文件路径

```    

`界面相关`
```    

布局目录路径()  -- 获取Layout目录路径

```    

`事件系统`
```    

事件目录路径()  -- 获取OnClick目录路径
事件列表路径()  -- 获取OnClick/_Index.ufo事件索引文件路径

```

#### 三、配置管理
```

设置目录路径()  -- 获取Settings配置目录路径
设置列表路径()  -- 获取Settings/_Index.ufo配置索引文件路径
设置模板路径()  -- 获取Settings/Setting模板目录路径
主题模板路径()  -- 获取Settings/Theme主题目录路径

```

#### 四、工程结构
```
工程页面路径()  -- 获取父级工程目录路径
当前工程路径()  -- 获取工程根目录路径（父两级）
全部工程路径()  -- 获取工程列表目录路径（父三级）
```

#### 五、系统路径
```
应用缓存路径()  -- 返回Android应用缓存目录(/data/data/包名/cache)
应用数据路径()  -- 返回Android数据目录(/data/data/包名/files)
外部缓存路径()  -- 返回SD卡缓存目录(/sdcard/Android/data/包名/cache)
工程缓存路径()  -- 返回.code_cache工程缓存目录路径
```

#### 六、资源路径
```
-- 工程配置
工程配置路径()  -- 获取view.json配置文件路径
应用配置路径()  -- 获取app.json应用配置路径
```    
-- 模板资源
```    
工程模板路径()  -- 获取templates模板目录路径
工具清单路径()  -- 获取modules模块目录路径
```    
-- 静态资源
```    
应用图片路径()  -- 获取images图片目录路径
应用插件路径()  -- 获取Include插件目录路径
应用主题路径()  -- 获取theme主题目录路径
```    
-- 开发资源
```    
库文件路径()   -- 获取libs库文件目录路径
字体文件路径() -- 获取fonts字体目录路径
```

#### 七、调用示例

`检查主程序文件`
```    
if io.open(执行入口路径()) then
    print("主程序文件存在")
end
```    

`读取工程配置`
```    
local config = loadfile(工程配置路径())
```    

`创建缓存目录`
```    
os.execute("mkdir "..应用缓存路径())
```    

`加载字体文件`
```    
local font_path = 字体文件路径().."/default.ttf"
```    
#### 八、注意事项
```    
1.所有函数返回完整路径字符串
2.路径不存在时返回nil
3.路径分隔符自动适配不同操作系统
3.无需初始化，可直接调用
4.系统路径函数使用Android标准API获取
5.工程路径基于activity.getLuaDir()计算
```    

###  💁‍♀️ 核心团队：
```    
  Fusionapp1.0至2.0：寒歌
  FA1.x重制版|2.0官方团队核心成员：难忘的旋律
  FA2.0官方团队核心成员：dingyi等
``` 
###  💁‍♀️ 作者声明
``` 
特别说明：
       工具作者创作之内容有部分引用官方团队的教程、示例代码，原创声明中的条目或条款均排除引用内容，示例和已标注作者及出处之部分，版权归原作者所有(包括佚名内容)
```
###  💁‍♀️ 问题反馈
```
抖音教程：今日头麻 | QQ反馈: 547430970
```
###  💁‍♀️ 相关交流
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ FA3X维护和更新：20078299
```
##   
##   