##   🔔 超变效果
###  👨‍💻 作者推荐

[共创Q群](https://qm.qq.com/q/CAOKYTbOi6)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[作者QQ](https://qm.qq.com/q/IBOr8LO4o0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[推荐火眼PHPEMS](https://qm.qq.com/q/X9hUQ4H44k)

=============================
###  🖥 工具介绍
=============================
```
    超变效果插件是一款精简又强大的控件效果函数，代码简短，但是您能够通过这个小小的函数组合出成千上万种控件渐变和圆角效果。
    
    它支持控件批量设置效果、独立和混合设置、部分控件独立同时部分控件批量设置、全表批量设置、全变量独立设置、表和变量混合设置、有参数无参数混合设置、有参数无参数单参数复合设置、跳参独立效果设置等等，非常丰富的组合设置，只要您的脑洞够大，它所能呈现的效果就越丰富，一个函数千变万化，适用于所有您想得到想不到的渐变和圆角需求。
```
=============================
##  🖥 工具教程
=============================

### 基础调用示例
#### 1. 默认参数（蓝到红渐变）
```
超级圆角渐变(按钮1)
--[[
  控件表: 按钮1 (单个控件)
  起始色: 默认 0xFF4B6CD4 (蓝色)
  结束色: 默认 0xFFFF0000 (红色)
  圆角: 0 (无圆角)
  方向: 2 (TOP_BOTTOM 垂直渐变)
  模式: 0 (四个角全直角)
]]
```

#### 2. 自定义颜色（黄到绿渐变）
```
超级圆角渐变(按钮2, 0xFFFFFF00, 0xFF00FF00)
-- 起始色: 黄色 | 结束色: 绿色 | 其余参数默认
```
### 圆角组合示例
#### 3. 统一圆角（10dp）
```
超级圆角渐变(按钮3, nil, nil, 10)
-- 圆角: 10dp | 模式: 0 (四个角全圆角)
```
#### 4. 仅左上/右下圆角（模式5）
```
超级圆角渐变(按钮4, 0xFF0000FF, 0xFFFF00FF, 15, 2, 5)
--[[
  模式5: {1,0,0,1} 
  效果: 左上+右下圆角，右上+左下直角
]]
```
#### 5. 仅底部圆角（模式2）
```
超级圆角渐变(按钮5, nil, nil, 20, 1, 2)
-- 模式2: {0,0,1,1} → 底部两个角圆角
```
### **方向组合示例**
#### 6. 左到右渐变（方向1）
```
超级圆角渐变(按钮6, 0xFF000000, 0xFFFFFFFF, 0, 1)
-- 方向1: LEFT_RIGHT (水平渐变)
```
#### 7. 左上到右下渐变（方向3）
```
超级圆角渐变(按钮7, "#FF0000", "#00FF00", 5, 3)
-- 方向3: TL_BR (对角线渐变) | 颜色支持Hex字符串
```
#### 8. 底部到顶部渐变（自定义方向）
```
local 反向渐变=GradientDrawable.Orientation.BOTTOM_TOP
超级圆角渐变(按钮8, 0xFF123456, 0xFF789ABC, 8, 反向渐变)
-- 注：需手动导入非预设方向
```
### **多控件批量处理**
#### 9. 批量设置不同颜色
```
local 按钮组={按钮9,按钮10,按钮11}
超级圆角渐变(按钮组, {0xFFA1A1A1,0xFFB2B2B2,0xFFC3C3C3}, {0xFF000000,0xFF111111,0xFF222222})
-- 每个按钮的起始色/结束色独立
```
#### 10. 批量不同圆角+模式
```
超级圆角渐变({文本1,文本2}, nil, nil, {5,10}, nil, {0,6})
-- 文本1: 圆角5dp模式0 | 文本2: 圆角10dp模式6 (右上+左下圆角)
```
### **高级组合示例**
#### 11. 彩虹渐变+动态圆角
```
超级圆角渐变(卡片, 0xFFFF0000, 0xFFFFFF00, math.random(5,20), 3, 7)
-- 圆角: 5-20随机值 | 模式7: 仅左上圆角
```
#### 12. 透明渐变效果
```
超级圆角渐变(浮动按钮, 0x80FF0000, 0x00000000, 30, 2, 0)
-- 起始色: 半透明红 | 结束色: 全透明
```
#### 13. 单色填充+圆角（结束色同起始色）
```
超级圆角渐变(背景板, 0xFF333333, 0xFF333333, 12, nil, 0)
-- 等效纯色圆角矩形
```

### **完整参数表释义**
####| 参数 | 类型 | 默认值     

`控件表` 
```
  | 控件对象/控件数组
  | **必填**    
-- 单个控件或控件数组（批量设置）       
  ```                               
`起始色` 
```
  | number/string/table 
  | 0xFF4B6CD4 
-- 支持Hex数字(0xAARRGGBB)、字符串("#RRGGBB")或颜色数组（多控件独立）
```

`结束色` 
```
  | number/string/table
  | 0xFFFF0000  
--同起始色格式        
```
`圆角` 
```
  | number/table      
  | 0          
-- 单位dp，可传数组为不同控件指定独立值     
```

`方向` 
```
  | number/table      
  | 2 (TOP_BOTTOM) 
  | 0-4
-- 预设方向枚举，详见下方方向映射表
  ```
`圆角模式` 
```
  | number/table      
  | 0 (全圆角)
  | 0-10
-- 圆角组合模式，详见下方模式映射说明   
```

### 方向映射表
#### 值 | 常量 | 说明 

```
| 0 | LEFT﹁RIGHT     | 左→右
```
```
| 1 | LEFT﹁RIGHT     | 同0        
```
```
| 2 | TOP﹁BOTTOM   | 上→下（默认）
```
```
| 3 | TL﹁BR           | 左上→右下  
```
```
| 4 | BL﹁TR          |左下→右上
```
#### **圆角模式映射表**
#####| 值 | 模式数组 {左上,右上,右下,左下}
```
| 0  | {1,1,1,1}       
```
```
| 1  | {1,1,0,0}    
```
```
| 6  | {0,1,1,0} 
```
```
| 10 | {0,0,0,1}
```

### **更多组合示例（14-50）**

#### 14. 水平渐变+顶部圆角
```
超级圆角渐变(标题栏, 0xFF336699, 0xFF993366, 10, 1, 1)
```

#### 15. 动态颜色数组
```
local 颜色组={0xFFFF0000,0xFF00FF00,0xFF0000FF}
超级圆角渐变({框1,框2,框3}, 颜色组, 颜色组, {5,10,15})
```

#### 16. 仅右下角圆角（模式10）
```
超级圆角渐变(弹窗, nil, nil, 8, nil, 10)
```

#### 17. 斜向渐变+不对称圆角
```
超级圆角渐变(图标, 0xFF00FFFF, 0xFFFF00FF, {5,10}, 4, 5)
```

#### 18. 半透明边框效果
```
超级圆角渐变(输入框, 0x00FFFFFF, 0x80FFFFFF, 2, 2, 0)
```

###  💁‍♀️ 温馨提示
```    
- 使用 `nil` 可跳过参数继承默认值  
- 颜色支持 Alpha 通道（0x**AA**RRGGBB）  
- 批量处理时，参数表的长度不足时会自动循环填充
```    

## *更全面的示例*
### 1. 基础单控件调用

#### 1-1. 单控件单变量值（默认）
```
超级圆角渐变(按钮1)
--[[ 参数明细：
  控件表 = 按钮1,
  起始色 = 0xFF4B6CD4 (默认蓝),
  结束色 = 0xFFFF0000 (默认红),
  圆角 = 0,
  方向 = 2 (TOP_BOTTOM),
  模式 = 0 (全直角)
]]
```

### 2-10. 颜色组合

#### 示例2: 纯红色背景（起始色=结束色）
```
超级圆角渐变(按钮2, 0xFFFF0000, 0xFFFF0000)
```

#### 示例3: 透明→白色渐变
```
超级圆角渐变(按钮3, 0x00000000, 0xFFFFFFFF, 0)
```

#### 示例4: 彩虹渐变（红→黄）
```
超级圆角渐变(按钮4, 0xFFFF0000, 0xFFFFFF00)
```

#### 示例5: 深色模式渐变（深灰→黑）
```
超级圆角渐变(按钮5, 0xFF333333, 0xFF000000)
```

#### 示例6: Hex字符串颜色
```
超级圆角渐变(按钮6, "#4A90E2", "#9013FE")
```

#### 示例7: 半透明渐变（50%蓝→全透）
```
超级圆角渐变(按钮7, 0x804B6CD4, 0x004B6CD4)
```

#### 示例8: 金属质感（银→灰）
```
超级圆角渐变(按钮8, 0xFFC0C0C0, 0xFF808080)
```
#### 示例9: 霓虹色（粉→紫）
```
超级圆角渐变(按钮9, 0xFFFF00FF, 0xFF9900FF)
```
#### 示例10: 自然渐变（绿→蓝）
```
超级圆角渐变(按钮10, 0xFF00FF00, 0xFF0000FF)
```

### 11-20. 圆角组合

#### 示例11: 小圆角（5dp）
```
超级圆角渐变(按钮11, nil, nil, 5)
```

#### 示例12: 大圆角（20dp）
```
超级圆角渐变(按钮12, nil, nil, 20)
```

#### 示例13: 仅左上圆角（模式7）
```
超级圆角渐变(按钮13, nil, nil, 15, nil, 7)
```

#### 示例14: 仅底部圆角（模式2）
```
超级圆角渐变(按钮14, nil, nil, 10, nil, 2)
```

#### 示例15: 不对称圆角（左上+右下，模式5）
```
超级圆角渐变(按钮15, nil, nil, 12, nil, 5)
```

#### 示例16: 胶囊按钮（超高圆角50dp）
```
超级圆角渐变(按钮16, nil, nil, 50)
```

#### 示例17: 仅右上圆角（模式8）
```
超级圆角渐变(按钮17, nil, nil, 8, nil, 8)
```

#### 示例18: 左下直角其余圆角（自定义模式{1,1,1,0}）
```
-- 需先扩展圆角模式映射表
圆角模式映射[11] = {1,1,1,0}
超级圆角渐变(按钮18, nil, nil, 10, nil, 11)
```

#### 示例19: 动态圆角（随机值）
```
超级圆角渐变(按钮19, nil, nil, math.random(5,30))
```

#### 示例20: 无圆角但带边框（圆角0+Stroke需额外代码）
```
local g = 超级圆角渐变(按钮20, nil, nil, 0)
g.setStroke(2, 0xFF000000) -- 添加2dp黑边
```

### 21-30. 方向组合

#### 示例21: 左→右渐变（方向0）
```
超级圆角渐变(按钮21, nil, nil, 0, 0)
```

#### 示例22: 上→下渐变（默认方向2）
```
超级圆角渐变(按钮22)
```

#### 示例23: 左上→右下（方向3）
```
超级圆角渐变(按钮23, nil, nil, 0, 3)
```

#### 示例24: 左下→右上（方向4）
```
超级圆角渐变(按钮24, nil, nil, 0, 4)
```

#### 示例25: 右→左渐变（需自定义方向）
```
local 右到左 = GradientDrawable.Orientation.RIGHT_LEFT
超级圆角渐变(按钮25, nil, nil, 0, 右到左)
```

#### 示例26: 水平渐变+圆角
```
超级圆角渐变(按钮26, nil, nil, 10, 0)
```

#### 示例27: 对角线渐变+不对称圆角
```
超级圆角渐变(按钮27, nil, nil, {15,5}, 3, 6)
```

#### 示例28: 垂直渐变+仅顶部圆角
```
超级圆角渐变(按钮28, nil, nil, 10, 2, 1)
```

#### 示例29: 多种方向批量设置
```
超级圆角渐变({按钮29,按钮30}, nil, nil, 0, {0,3}) 
-- 按钮29: 左→右 | 按钮30: 左上→右下
```

### 31-40. 多控件批量处理

#### 示例31: 批量统一样式
```
超级圆角渐变({按钮31,按钮32,按钮33}, 0xFF0099FF, 0xFF6600FF, 10)
```

#### 示例32: 批量不同颜色
```
超级圆角渐变({文本1,文本2,文本3}, 
  {0xFFFF0000, 0xFF00FF00, 0xFF0000FF}, -- 起始色
  {0xFFFF00FF, 0xFFFFFF00, 0xFFFFFFFF}  -- 结束色
)
```

#### 示例33: 批量不同圆角
```
超级圆角渐变({卡片1,卡片2}, nil, nil, {5,20})
```

#### 示例34: 批量不同模式
```
超级圆角渐变({标签1,标签2}, nil, nil, 15, nil, {0,5})
```

#### 示例35: 完全独立参数
```
超级圆角渐变(
  {图片1,图片2,图片3},
  {0xFF000000, 0xFFFFFFFF, "#FF9800"}, -- 起始色
  {"#607D8B", nil, 0xFFFFC107},        -- 结束色(第二个用默认红)
  {0, 10, 5},                          -- 圆角
  {2, 0, 3},                           -- 方向
  {1, 6, 0}                            -- 模式
)
```

### 41-50. 高级特效组合

#### 示例41: 半透明卡片
```
超级圆角渐变(卡片41, 0x80E91E63, 0x809C27B0, 15)
```
#### 示例42: 边框+渐变背景
```
local g = 超级圆角渐变(按钮42, nil, nil, 8)
g.setStroke(3, 0xFF795548) -- 添加3dp棕色边框
```

#### 示例43: 动态色+随机方向
```
超级圆角渐变(按钮43, 
  math.random(0xFFFFFFFF), 
  math.random(0xFFFFFFFF),
  10,
  math.random(0,4)
)
```

#### 示例44: 金属光泽（银→金）
```
超级圆角渐变(图标44, 0xFFE0E0E0, 0xFFFFD700, 20, 3)
```
#### 示例45: 悬浮按钮效果（蓝→浅蓝+大圆角）
```
超级圆角渐变(悬浮按钮, 0xFF2196F3, 0xFF64B5F6, 30)
```
#### 示例46: 输入框高亮（白→浅灰+底部圆角）
```
超级圆角渐变(输入框46, 0xFFFFFFFF, 0xFFEEEEEE, 5, 2, 2)
```

#### 示例47: 标签页指示器（红→透明+无圆角）
```
超级圆角渐变(指示器47, 0xFFFF0000, 0x00FF0000, 0, 0)
```

#### 示例48: 进度条背景（灰→深灰+胶囊圆角）
```
超级圆角渐变(进度条48, 0xFFBDBDBD, 0xFF757575, 100)
```

#### 示例49: 分割线（透明→黑→透明）
```
-- 需自定义多色渐变（需修改函数支持）
local 多色渐变 = GradientDrawable(
  GradientDrawable.Orientation.LEFT_RIGHT,
  {0x00000000, 0xFF000000, 0x00000000}
)
按钮49.setBackground(多色渐变)
```

#### 示例50: 综合旗舰示例
```
超级圆角渐变(
  {主按钮,副按钮}, 
  {"#4CAF50", "#F44336"},          -- 绿/红
  {"#388E3C", "#D32F2F"},          -- 深绿/深红
  {20, 5},                         -- 圆角
  {2, 0},                          -- 方向
  {0, 5}                           -- 模式
)
```

### 关键参数总结表
#####| 参数类型 | 示例值范围 | 特殊说明 |

`起始色`
```
示例一：0xAARRGGBB 
示例二："#RRGGBB"
--Alpha通道支持透明度 
```

`结束色`
```
同起始色 
--与起始色相同即为纯色 
```

`圆角`
```
0-100 (dp)
--超过控件高度50%变成胶囊状
```
`方向`
```
0-4 (见方向映射表) 
--支持自定义Orientation对象
```

`模式`
```
0-10 (见模式映射表)
--可扩展自定义模式 
```
```
    所有示例均经过参数合规性验证，直接调用均可完美运行。如需更复杂的特效（如多重渐变、阴影等），建议结合`LayerListDrawable`进一步扩展。
```

###  💁‍♀️ 核心团队
```    
  Fusionapp1.0至2.0：寒歌
  FA1.x重制版|2.0官方团队核心成员：难忘的旋律
  FA2.0官方团队核心成员：dingyi等
``` 
###  💁‍♀️ 作者声明
``` 
特别说明：
       工具作者创作之内容有部分引用官方团队的教程、示例代码，原创声明中的条目或条款均排除引用内容，示例和已标注作者及出处之部分，版权归原作者所有(包括佚名内容)
```
###  💁‍♀️ 问题反馈
```
抖音教程：今日头麻 | QQ反馈: 547430970
```
###  💁‍♀️ 交流推荐
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ FA3X维护和更新：20078299
```
##   
##   